## bmconf 0.8.4-0.1

=== Makefile ===
#*****************************CONFIGURATION*********************************
#change this lines if you want to use a different SBM than which is supplied
OWNBM=0
BMDIR=/path/to/btmgr
#turn this on if you want a binary which can run on every linux systems.
#this may be 300K and may be slower
#STATIC=-static
#***********END************DO NOT CHANGE ANYTHING ABOVE THAT LINE***********

#this versions is good for all versions of sbm 3.6
#for later or earlier releases this configurator can't be used
VERSIONS=-DSBMK_VERSION=0x0306 -DSBMT_VERSION=0x0306 -DSBML_VERSION=0x0301
CC=gcc
#CFLAGS=-Wall -Werror -O3 -D_GNU_SOURCE -D_LARGEFILE64_SOURCE $(VERSIONS)
#LDFLAGS=-Wall -Werror -O3 $(STATIC)
CFLAGS=-Wall -Werror -D_GNU_SOURCE -D_LARGEFILE64_SOURCE $(VERSIONS)
LDFLAGS=-Wall -Werror $(STATIC)
OBJECTS=build/bmconf.o build/partls.o build/utils.o build/bmrw.o\
	build/list.o build/remove.o build/add.o build/defrag.o\
	build/chdefault.o build/delay.o build/autoactive.o\
	build/autohide.o build/parttypes.o build/noautoscan.o\
	build/install.o build/passcreator.o build/password.o\
	build/schedule.o build/seclock.o build/directboot.o\
	build/remlast.o build/config.o build/trim.o build/int13.o\
	build/swapdriveid.o build/style.o

.PHONY: src/ownconvert/convert clean bmbins bmincs

all: bmconf

bmconf: $(OBJECTS)
	gcc $(LDFLAGS) -o $@ $^

clean:
	rm -f build/* bmconf
	cd src/ownconvert && make clean
ifeq ($(OWNBM),1)
	cd $(BMDIR)/manager && make clean
endif
	rm -f src/ownconvert/*.h

binclean:
	rm -f build/* bmconf
	cd src/ownconvert && make clean
	cd $(BMDIR)/manager && make clean
	rm -f src/bins/*
	rm -f src/ownconvert/*.h

ifeq ($(OWNBM),1)
build/install.o: src/install.c src/*.h bmincs
	gcc $(CFLAGS) -c -o $@ $<
else
build/install.o: src/install.c src/*.h
	gcc $(CFLAGS) -c -o $@ $<
endif

build/%.o: src/%.c src/*.h
	gcc $(CFLAGS) -c -o $@ $<

src/ownconvert/convert:
	cd src/ownconvert && make

bmbins:
	cd $(BMDIR)/manager && make 

bmincs: src/ownconvert/convert bmbins
	cd src/ownconvert && ./convert $(BMDIR)/release
	cp src/ownconvert/*.h src/bins/
	rm -f src/ownconvert/*.h
	cd src/ownconvert && make clean

=== src/ownconvert/Makefile ===
CC=gcc
CFLAGS=-Wall -O2 -Werror

all: convert

convert: convert.o

clean:
	rm -f convert.o convert

## bmconf 0.8.2

=== debian/changelog ===
bmconf (0.8.2) unstable; urgency=low

  * minor description fix (closes: Bug#124460)

 -- RISKO Gergely <risko@debian.org>  Tue, 18 Dec 2001 16:40:37 +0100

bmconf (0.8.1) unstable; urgency=low

  * version numbering changed to conform with policy (debian only package)
  * build-depends added
  * maintainer field change

 -- RISKO Gergely <risko@debian.org>  Tue,  4 Sep 2001 13:01:05 +0200

bmconf (0.8-1) unstable; urgency=low

  * upgrade to SBM 3.6-3
  * new upstream version
  * e-mail address changed
  
 -- Gergely Risko <risko@debian.org>  Tue, 25 Oct 2000 21:26:36 +0100

bmconf (0.7-1) unstable; urgency=low

  * new upstream version
  
 -- Gergely Risko <risko@debian.org>  Tue, 14 Aug 2000 21:06:23 +0200

bmconf (0.6-1) unstable; urgency=low

  * new upstream version
  
 -- Gergely Risko <risko@njszki.hu>  Wed, 09 Aug 2000 23:07:00 +0200

bmconf (0.5-1) unstable; urgency=low

  * new upstream version
  * an example included
  
 -- Gergely Risko <risko@njszki.hu>  Tue, 25 Jul 2000 10:57:19 +0200

bmconf (0.4-1) unstable; urgency=low

  * Initial Release.

 -- Gergely Risko <risko@njszki.hu>  Mon, 17 Jul 2000 19:40:40 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: bmconf
Section: admin
Priority: optional
Maintainer: RISKO Gergely <risko@debian.org>
Build-Depends: debhelper
Standards-Version: 3.5.2

Package: bmconf
Architecture: i386
Depends: ${shlibs:Depends}
Description: The installer and configurator of the Smart Boot Manager
 The Smart Boot Manager is a program which runs at boot time, and give
 you the ability to select which OS you want to run. It has a lot of
 functionality which haven't implemented by other boot managers, like
 scheduled default, boot from other hard disk than first, good privilege
 system with encrypted passwords, online configuration, etc.
 .
 In this package you can find an installer and a configurator program too.
 With installer you can easily install the SBM, but the configurator may
 be complicated, and to end-users I think the online configuration is better.
 The configurator is good if you want to configure the Smart Boot Manager
 from scripts.

## bmconf 0.8.4

=== debian/changelog ===
bmconf (0.8.4) unstable; urgency=low

  * fixed gcc-4.0 compile error (pointer signedness differs)
    (closes: #299660)

 -- RISKO Gergely <risko@debian.org>  Tue, 15 Mar 2005 21:08:53 +0100

bmconf (0.8.3) unstable; urgency=low

  * gcc-4.0 fixes (closes: Bug#285536)
  * added amd64 to supported architectures (closes: Bug#253804)

 -- RISKO Gergely <risko@debian.org>  Sat,  5 Mar 2005 21:07:02 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: RISKO Gergely <risko@debian.org>
 Build-Depends: debhelper
-Standards-Version: 3.5.2
+Standards-Version: 3.6.1.1
 
 Package: bmconf
-Architecture: i386
+Architecture: amd64 i386
 Depends: ${shlibs:Depends}
 Description: The installer and configurator of the Smart Boot Manager
  The Smart Boot Manager is a program which runs at boot time, and give

## bmconf 0.8.4-0.1

=== debian/changelog ===
bmconf (0.8.4-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with gcc-4.2, patch by brian m. carlson (closes: #416116).
  * Added kfreebsd-i386 and kfreebsd-amd64 to the list of supported
    architectures (closes: #361561).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 31 Jul 2007 14:47:19 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.6.1.1
 
 Package: bmconf
-Architecture: amd64 i386
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386
 Depends: ${shlibs:Depends}
 Description: The installer and configurator of the Smart Boot Manager
  The Smart Boot Manager is a program which runs at boot time, and give

=== debian/rules ===
#!/usr/bin/make -f
# rules for bmconf
# (c)opyright Risko Gergely, 2000. GPL
# from Joey Hess's example
# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean
	$(MAKE) clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install -s bmconf debian/tmp/usr/sbin

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmanpages
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## bmconf 0.8.4-0.2

=== debian/changelog ===
bmconf (0.8.4-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add hurd-i386 to arch list. (Closes: #482872).
  * Remove install -s from rules. (Closes: #436596).
    + Add simple debian/install file and call dh_install.
  * Replace deprecated dh_installmanpages with dh_installman.
  * Add appropriate Copyright holders to debian/copyright.
  * Version debhelper build-dep and set to >= 5.0.0.
  * Move DH_COMPAT to debian/compat and set to 5.
  * Bump Standards Version to 3.8.1.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 22 Apr 2009 23:22:22 -0400

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: admin
 Priority: optional
 Maintainer: RISKO Gergely <risko@debian.org>
-Build-Depends: debhelper
-Standards-Version: 3.6.1.1
+Build-Depends: debhelper (>= 5.0.0)
+Standards-Version: 3.8.1
 
 Package: bmconf
-Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386
-Depends: ${shlibs:Depends}
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 hurd-i386
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: The installer and configurator of the Smart Boot Manager
  The Smart Boot Manager is a program which runs at boot time, and give
  you the ability to select which OS you want to run. It has a lot of

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,11 @@
 # (c)opyright Risko Gergely, 2000. GPL
 # from Joey Hess's example
 # This is the debhelper compatability version to use.
-export DH_COMPAT=1
 
 build: build-stamp
 build-stamp:
 	dh_testdir
 
-	
 	$(MAKE)
 
 	touch build-stamp
@@ -26,7 +24,6 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	install -s bmconf debian/tmp/usr/sbin
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -36,9 +33,10 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
+	dh_install
 	dh_installdocs
 	dh_installexamples
-	dh_installmanpages
+	dh_installman
 	dh_installchangelogs
 	dh_link
 	dh_strip
